// Autor: Goran Zuzic

#include <algorithm>
#include <functional>

#include <cassert>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#include <string>
#include <vector>

using namespace std;

int main(void)
{
  const int MAXN = 123;

  int R, S; scanf("%d %d", &R, &S);
  char grid[MAXN][MAXN];

  int cnt = 0;
  int max_pov = 0;

  for (int r = 0; r < R; ++r) scanf("%s", grid[r]);
  for (int x1 = 0; x1 < R; ++x1)
    for (int x2 = x1+1; x2 < R; ++x2)
      for (int y1 = 0; y1 < S; ++y1)
        for (int y2 = y1+1; y2 < S; ++y2) {
          bool ok = true;
          char c = grid[x1][y1];
          for (int r = x1; r <= x2; ++r)
            if (c != grid[r][y1] || c != grid[r][y2])
              ok = false;
          for (int s = y1; s <= y2; ++s)
            if (c != grid[x1][s] || c != grid[x2][s])
              ok = false;

          if (ok) {
            cnt += 1;
            max_pov = max(max_pov, (x2-x1+1) * (y2-y1+1));
          }
        }

  printf("%d %d\n", cnt, max_pov);
  return 0;
}
