// Autor: Alen Rakipovic
#include <cstdio>

#include <queue>
#include <vector>
#include <string>
#include <iostream>

using namespace std;

void printq(queue<int> q) {
	while(!q.empty()) {
		cout << q.front() << " ";
		q.pop();
	}
	cout << endl;
}

int main(){
	int n; scanf("%d", &n);
	
	vector<vector<int> > adj(n+1);

	for(int i = 1; i < n+1; i++){
		int l, r; scanf("%d%d", &l, &r);
		if(l != 0) adj[i].push_back(l);
		if(r != 0) adj[i].push_back(r);
	}

	queue<int> q, level, sol;
	q.push(1);
	
	while(!q.empty()) {
		int curr = q.front(); q.pop();
		sol.push(curr);
		for(int i = adj[curr].size()-1; i >= 0; i--)
			level.push(adj[curr][i]);
		if(q.empty()) {
			while(!level.empty()) {
				q.push(level.front()); 
				level.pop();
			}
		}
	}
	printq(sol);

	return 0;
}
